'\" t
.\" Copyright (c) 1999 - Sun Microsystems, Inc.
.\" All rights reserved.
.\" 
.\" Permission is hereby granted, free of charge, to any person obtaining a
.\" copy of this software and associated documentation files (the
.\" "Software"), to deal in the Software without restriction, including
.\" without limitation the rights to use, copy, modify, merge, publish,
.\" distribute, and/or sell copies of the Software, and to permit persons
.\" to whom the Software is furnished to do so, provided that the above
.\" copyright notice(s) and this permission notice appear in all copies of
.\" the Software and that both the above copyright notice(s) and this
.\" permission notice appear in supporting documentation.
.\" 
.\" THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
.\" OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
.\" MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT
.\" OF THIRD PARTY RIGHTS. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR
.\" HOLDERS INCLUDED IN THIS NOTICE BE LIABLE FOR ANY CLAIM, OR ANY SPECIAL
.\" INDIRECT OR CONSEQUENTIAL DAMAGES, OR ANY DAMAGES WHATSOEVER RESULTING
.\" FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT,
.\" NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION
.\" WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
.\" 
.\" Except as contained in this notice, the name of a copyright holder
.\" shall not be used in advertising or otherwise to promote the sale, use
.\" or other dealings in this Software without prior written authorization
.\" of the copyright holder.
.\"
.TH XkbSAGroup __libmansuffix__ __xorgversion__ "XKB FUNCTIONS"
.SH NAME
XkbSAGroup \- Returns the group_XXX field of act converted to a signed int
.SH SYNOPSIS
.HP
.B int XkbSAGroup
.BI "(\^XkbAction " "act" "\^);"
.if n .ti +5n
.if t .ti +.5i
.SH ARGUMENTS
.TP
.I \- act
action from which to extract group
.SH DESCRIPTION
.LP
.I XkbSAGroup 
returns the 
.I group_XXX 
field of 
.I act 
converted to a signed int. 
.SH STRUCTURE
.LP
Actions associated with the XkbGroupAction structure change the current group 
state when keys are 
pressed and released:
.nf

    typedef struct _XkbGroupAction {
        unsigned char    type;       /\(** XkbSA_{Set|Latch|Lock}Group */
        unsigned char    flags;      /\(** with type, controls the effect on groups 
*/
        char             group_XXX;  /\(** represents a group index or delta */
    } XkbGroupAction;
   
.SH WARNING
.LP
This manpage seems to be incomplete
